View Issue Details

IDProjectCategoryView StatusLast Update
0027136LazarusIDEpublic2015-02-10 12:25
ReporterTony WhymanAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.6Product Build 
Target Version1.4Fixed in Version1.5 (SVN) 
Summary0027136: Cannot inspect class properties in Debugger
Description<Error> is returned in the "Inspect" Dialog whenever trying to view the value of a class property in the debugger. Prefixing the property with "self." allows the value to be inspected.

Bug is also present in svn trunk as of time of writing
Steps To ReproduceI did the following on an up-to-date Ubuntu 14.04/Linux Mint MATE
edition with fpc 2.6.4, gdb 7.7.1

1. download trunk from svn (svn co
http://svn.freepascal.org/svn/lazarus/trunk)

2. Ran "make"

3. After successful compile ran "./startlazarus --pcp=~/lazarus-devel"

4. Opened the "Image Viewer" example (examples/imgviewer)

5. Complied and ran successfully.

6. Changed build options to generate debugging info and rebuilt.

7. Set breakpoint on line 142 of the main form.

8. Right mouse click and select Debug->Evaluate/Modify on the public
property ODImage and the result is shown as "<Error>". See attached
screenshot.

9. Same on local variable "I" and the value is correctly shown.
Similarly "self.ODImage" works.
TagsNo tags attached.
Fixed in Revision47371
LazTarget1.4
Widgetset
Attached Files

Relationships

has duplicate 0027188 new FPC gdb can not print FPC class fields 

Activities

Tony Whyman

2014-12-05 11:19

reporter  

lazide-dgberror.png (161,499 bytes)
lazide-dgberror.png (161,499 bytes)

Martin Friebe

2015-01-13 00:23

manager   ~0080327

https://sourceware.org/bugzilla/show_bug.cgi?id=17835

Martin Friebe

2015-01-13 01:19

manager   ~0080330

Please test and close if ok

Issue History

Date Modified Username Field Change
2014-12-05 11:19 Tony Whyman New Issue
2014-12-05 11:19 Tony Whyman File Added: lazide-dgberror.png
2015-01-13 00:23 Martin Friebe Note Added: 0080327
2015-01-13 00:23 Martin Friebe Assigned To => Martin Friebe
2015-01-13 00:23 Martin Friebe Status new => assigned
2015-01-13 01:19 Martin Friebe Fixed in Revision => 47371
2015-01-13 01:19 Martin Friebe LazTarget => 1.4
2015-01-13 01:19 Martin Friebe Widgetset GTK 2 =>
2015-01-13 01:19 Martin Friebe Note Added: 0080330
2015-01-13 01:19 Martin Friebe Status assigned => resolved
2015-01-13 01:19 Martin Friebe Fixed in Version => 1.5 (SVN)
2015-01-13 01:19 Martin Friebe Resolution open => fixed
2015-01-13 01:19 Martin Friebe Target Version => 1.4
2015-02-10 12:25 Martin Friebe Relationship added has duplicate 0027188